import type { NobjcObject } from "objc-js";
import type { _NSSavePanel } from "../AppKit/NSSavePanel.js";
import type { _NSError } from "../Foundation/NSError.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _SFKeychainSavePanel extends _NSSavePanel {
    static alloc(): _SFKeychainSavePanel;
    static new(): _SFKeychainSavePanel;
    init(): _SFKeychainSavePanel;
    /**
     * @method sharedKeychainSavePanel @abstract Returns a global instance of SFKeychainSavePanel object.
     */
    static sharedKeychainSavePanel(): _SFKeychainSavePanel;
    /**
     * @method setPassword: @abstract Specifies the password for the keychain that will be created. @param The password string object.
     */
    setPassword$(password: _NSString): void;
    /**
     * @method keychain @abstract Returns the keychain created by the SFKeychainSavePanel. @result The keychain object.
     */
    keychain(): NobjcObject;
    /**
     * @method error @abstract Returns the last error encountered by SFKeychainSavePanel. @result The error object.
     */
    error(): _NSError;
}
